-- ********************************************************************************
-- Fichero que define las funciones que reciben los eventos.
-- ********************************************************************************

-- --------------------------------------------------------------------------------
-- Funciones auxiliares para los eventos.
-- --------------------------------------------------------------------------------
function AuxMBDE(button, type, name)
   if button == 1 then
      CheckAndGetFocus()
      io.write(type, " ", name, " pulsado BI...\n");
   elseif button == 2 then
      io.write(type, " ", name, " pulsado BC...\n");
   elseif button == 3 then
      io.write(type, " ", name, " pulsado BD...\n");
   elseif button == 4 then
      io.write(type, " ", name, " pulsado WU...\n");
   elseif button == 5 then
      io.write(type, " ", name, " pulsado WD...\n");
   end
end

function AuxMBUE(button, type, name)
   if button == 1 then
      io.write(type, " ", name, " despulsado BI...\n");
   elseif button == 2 then
      io.write(type, " ", name, " despulsado BC...\n");
   elseif button == 3 then
      io.write(type, " ", name, " despulsado BD...\n");
   elseif button == 4 then
      io.write(type, " ", name, " despulsado WU...\n");
   elseif button == 5 then
      io.write(type, " ", name, " despulsado WD...\n");
   end
end


-- --------------------------------------------------------------------------------
-- Funciones que reciben los eventos de Caja01.
-- --------------------------------------------------------------------------------
function Caja01_DoubleClickEvent()
   io.write("Caja01 -> DoubleClick\n")
end

function Caja01_MouseButtonDownEvent(button, mousex, mousey)
   SelectControl("Panel01", "Caja01")

   AuxMBDE(button, PictureBox_GetType(), PictureBox_GetName())

   UnselectControl()
end

function Caja01_MouseButtonUpEvent(button, mousex, mousey)
   SelectControl("Panel01", "Caja01")

   AuxMBUE(button, PictureBox_GetType(), PictureBox_GetName())

   UnselectControl()
end


-- --------------------------------------------------------------------------------
-- Funciones que reciben los eventos de Caja02.
-- --------------------------------------------------------------------------------
function Caja02_DoubleClickEvent()
   io.write("Caja02 -> DoubleClick\n")
end

function Caja02_MouseButtonDownEvent(button, mousex, mousey)
   SelectControl("Panel01", "Caja02")

   AuxMBDE(button, PictureBox_GetType(), PictureBox_GetName())

   UnselectControl()
end

function Caja02_MouseButtonUpEvent(button, mousex, mousey)
   SelectControl("Panel01", "Caja02")

   AuxMBUE(button, PictureBox_GetType(), PictureBox_GetName())

   UnselectControl()
end


-- --------------------------------------------------------------------------------
-- Funciones que reciben los eventos de Caja03.
-- --------------------------------------------------------------------------------
function Caja03_MouseButtonDownEvent(button, mousex, mousey)
   SelectControl("Panel01", "Caja03")

   AuxMBDE(button, LabelBox_GetType(), LabelBox_GetName())

   UnselectControl()
end

function Caja03_MouseButtonUpEvent(button, mousex, mousey)
   SelectControl("Panel01", "Caja03")

   AuxMBUE(button, LabelBox_GetType(), LabelBox_GetName())

   UnselectControl()
end


-- --------------------------------------------------------------------------------
-- Funciones que reciben los eventos de Caja04.
-- --------------------------------------------------------------------------------
function Caja04_MouseButtonDownEvent(button, mousex, mousey)
   SelectControl("Panel01", "Caja04")

   AuxMBDE(button, Button_GetType(), Button_GetName())

   UnselectControl()
end

function Caja04_MouseButtonUpEvent(button, mousex, mousey)
   SelectControl("Panel01", "Caja04")

   AuxMBUE(button, Button_GetType(), Button_GetName())

   UnselectControl()
end


-- --------------------------------------------------------------------------------
-- Funciones que reciben los eventos de CLista.
-- --------------------------------------------------------------------------------
function CLista_MouseButtonDownEvent(button, mousex, mousey)
   SelectControl("CLista")

   AuxMBDE(button, ControlListBox_GetType(), ControlListBox_GetName())

   UnselectControl()
end

function CLista_MouseButtonUpEvent(button, mousex, mousey)
   SelectControl("CLista")

   AuxMBUE(button, ControlListBox_GetType(), ControlListBox_GetName())

   UnselectControl()
end


-- --------------------------------------------------------------------------------
-- Funciones que reciben los eventos de Caja01_Clone.
-- --------------------------------------------------------------------------------
function Caja01_Clone_DoubleClickEvent()
   io.write("Caja01_Clone -> DoubleClick\n")
end

function Caja01_Clone_MouseButtonDownEvent(button, mousex, mousey)
   SelectControl("CLista")
      ControlListBox_GetControl("Caja01_Clone")

      AuxMBDE(button, PictureBox_GetType(), PictureBox_GetName())

      UnselectControl()
   UnselectControl()
end

function Caja01_Clone_MouseButtonUpEvent(button, mousex, mousey)
   SelectControl("CLista")
      ControlListBox_GetControl("Caja01_Clone")

      AuxMBUE(button, PictureBox_GetType(), PictureBox_GetName())

      UnselectControl()
   UnselectControl()
end


-- --------------------------------------------------------------------------------
-- Funciones que reciben los eventos de Caja01_Clone_Clone.
-- --------------------------------------------------------------------------------
function Caja01_Clone_Clone_DoubleClickEvent()
   io.write("Caja01_Clone_Clone -> DoubleClick\n")
end

function Caja01_Clone_Clone_MouseButtonDownEvent(button, mousex, mousey)
   SelectControl("CLista")
      ControlListBox_GetControl("Caja01_Clone_Clone")

      AuxMBDE(button, PictureBox_GetType(), PictureBox_GetName())

      UnselectControl()
   UnselectControl()
end

function Caja01_Clone_Clone_MouseButtonUpEvent(button, mousex, mousey)
   SelectControl("CLista")
      ControlListBox_GetControl("Caja01_Clone_Clone")

      AuxMBUE(button, PictureBox_GetType(), PictureBox_GetName())

      UnselectControl()
   UnselectControl()
end


-- --------------------------------------------------------------------------------
-- Funciones que reciben los eventos de Caja05.
-- --------------------------------------------------------------------------------
function Caja05_MouseButtonDownEvent(button, mousex, mousey)
   SelectControlFromDialog("Dialogo", "Caja05")

   AuxMBDE(button, Button_GetType(), Button_GetName())

   UnselectControl()
end

function Caja05_MouseButtonUpEvent(button, mousex, mousey)
   SelectControlFromDialog("Dialogo", "Caja05")

   AuxMBUE(button, Button_GetType(), Button_GetName())

   UnselectControl()
end


-- --------------------------------------------------------------------------------
-- Funciones que reciben los eventos de Caja05_Clone.
-- --------------------------------------------------------------------------------
function Caja05_Clone_MouseButtonDownEvent(button, mousex, mousey)
   SelectControlFromDialog("Dialogo_Clone", "Caja05_Clone")

   AuxMBDE(button, Button_GetType(), Button_GetName())

   UnselectControl()
end

function Caja05_Clone_MouseButtonUpEvent(button, mousex, mousey)
   SelectControlFromDialog("Dialogo_Clone", "Caja05_Clone")

   AuxMBUE(button, Button_GetType(), Button_GetName())

   UnselectControl()
end

-- ********************************************************************************
-- Fin loadevents.lua
-- ********************************************************************************