-- ********************************************************************************
-- Fichero que define los controles que vamos a cargar.
-- ********************************************************************************

-- --------------------------------------------------------------------------------
-- Carga de recursos.
-- --------------------------------------------------------------------------------
if not ResourcesLoadFont("InputFont", "gfx.dpf") then
   io.write("Error al cargar la fuente...\n")
end


if not ResourcesLoadTexture("cursor", "Data.dpf") then
   io.write("Error al cargar el cursor...\n")
end

if not ResourcesLoadTexture("cursor2", "Data.dpf") then
   io.write("Error al cargar el cursor2...\n")
end


if not SkinsAddTheme("Default.dpf") then
   io.write("No se logra cargar el tema...\n")
end


if not ResourcesLoadTexture("bicho", "Data.dpf") then
   io.write("No se pudo cargar el bicho...\n")
end


if not ResourcesLoadTexture("boton01", "Data.dpf") then
   io.write("No se pudo cargar el boton01...\n")
end

if not ResourcesLoadTexture("boton02", "Data.dpf") then
   io.write("No se pudo cargar el boton02...\n")
end

if not ResourcesLoadTexture("boton03", "Data.dpf") then
   io.write("No se pudo cargar el boton03...\n")
end

-- --------------------------------------------------------------------------------
-- Funciones que reciben los eventos.
-- --------------------------------------------------------------------------------
ExecFile("loadevents.lua")

-- --------------------------------------------------------------------------------
-- Cambiando parametros de la aplicacin.
-- --------------------------------------------------------------------------------
Application_SetMousePointer("cursor")
Application_SetTitle("Jarl!!!")
Application_SetBackColor(0x00C0C0C0)
Application_SetIcon("icon.bmp")

-- --------------------------------------------------------------------------------
-- ListBox Lista.
-- --------------------------------------------------------------------------------
ListBox_CreateNew()
   ListBox_SetName("Lista")
   ListBox_SetBackStyle("UseAppearance")
   ListBox_SetAppearance("Default", "Box", "VScroll", "Button")
   ListBox_SetBackColor(0x00FFFFFF, 0x00C0C0C0)
   ListBox_SetSelColor(0x00000000)
   ListBox_SetMultiSelect(true)

   ListBox_SetFont("InputFont")
   ListBox_SetRect(400, 150, 390, 130)

	ListBox_AddListItem("Hola", 0x0011BB11)
	ListBox_AddListItem("Adios", 0x00999999)
	ListBox_AddListItem("Juan", 0x0011BB11)
	ListBox_AddListItem("Pepe", 0x00999999)
	ListBox_AddListItem("Jose", 0x0011BB11)
	ListBox_AddListItem("Hamperdine", 0x00999999)
	ListBox_AddListItem("Lalalalalalalalalalalalalalalalalalalalalalalalalalalalala", 0x0011BB11)
	ListBox_AddListItem("Yukino", 0x00999999)
	ListBox_AddListItem("Yoko", 0x0011BB11)
	ListBox_AddListItem("Kaori", 0x00999999)
added = Application_AddControl()

if not added then
   io.write("No se pudo agregar Lista...\n")
end

-- --------------------------------------------------------------------------------
-- ComboBox Combo.
-- --------------------------------------------------------------------------------
ComboBox_CreateNew()
   ComboBox_SetName("Combo")
   ComboBox_SetBackStyle("UseAppearance")
   ComboBox_SetAppearance("Default", "Box", "VScroll", "Button")
   ComboBox_SetBackColor(0x00FFFFFF, 0x00C0C0C0)
   ComboBox_SetSelBackColor(0x00FFFFFF)
   
   ComboBox_SetFont("InputFont")
   ComboBox_SetRect(400, 360, 390, 30)
   ComboBox_SetListHeight(130)

   ComboBox_AddListItem("Hola")
   ComboBox_AddListItem("Adios")
   ComboBox_AddListItem("Juan")
   ComboBox_AddListItem("Pepe")
   ComboBox_AddListItem("Jose")
   ComboBox_AddListItem("Hamperdine")
   ComboBox_AddListItem("Lalalalalalalalalala")
   ComboBox_AddListItem("Yukino")
   ComboBox_AddListItem("Yoko")
   ComboBox_AddListItem("Kaori")
   
	ComboBox_SetText("Hola juan, hola pepito, hola jose, hola david...")
added = Application_AddControl()

if not added then
   io.write("No se pudo agregar Combo...\n")
end

-- --------------------------------------------------------------------------------
-- ComboBox Combo2.
-- --------------------------------------------------------------------------------
ComboBox_CreateNew()
   ComboBox_SetName("Combo2")
   ComboBox_SetBackStyle("UseAppearance")
   ComboBox_SetAppearance("Default", "Box", "VScroll", "Button")
   ComboBox_SetBackColor(0x00FFFFFF, 0x00C0C0C0)
   ComboBox_SetSelBackColor(0x00FFFFFF)
   
   ComboBox_SetFont("InputFont")
   ComboBox_SetRect(400, 400, 390, 30)
   ComboBox_SetListHeight(130)

   ComboBox_AddListItem("Hola", 0x00AA0000)
   ComboBox_AddListItem("Adios", 0x0000AA00)
   ComboBox_AddListItem("Juan", 0x000000AA)
   ComboBox_AddListItem("Pepe")
   ComboBox_AddListItem("Jose")
   ComboBox_AddListItem("Hamperdine")
   ComboBox_AddListItem("Lalalalalalalalalala")
   ComboBox_AddListItem("Yukino")
   ComboBox_AddListItem("Yoko")
   ComboBox_AddListItem("Kaori")
added = Application_AddControl()

if not added then
   io.write("No se pudo agregar Combo...\n")
end

-- --------------------------------------------------------------------------------
-- ControlListBox CLista.
-- --------------------------------------------------------------------------------
ControlListBox_CreateNew()
   ControlListBox_SetName("CLista")
   ControlListBox_SetBackStyle("UseAppearance")
   ControlListBox_SetAppearance("Default", "Box", "VScroll", "Button")
   ControlListBox_SetBackColor(0x00FFFFFF, 0x00C0C0C0)
   ControlListBox_SetSelColor(0x00FF0000)
   ControlListBox_SetMultiSelect(true)

   ControlListBox_SetRect(420, 450, 360, 130)
	ControlListBox_SetMousePointer("cursor2")

	ControlListBox_SetMouseButtonDown()
	ControlListBox_SetMouseButtonUp()
added = Application_AddControl()

if not added then
   io.write("No se pudo agregar CLista...\n")
end

-- --------------------------------------------------------------------------------
-- Panel Panel01.
-- --------------------------------------------------------------------------------
Panel_CreateNew()
   Panel_SetName("Panel01")
   Panel_SetRect(0, 0, 800, 600)
   Panel_SetBackColor(0x00C0C0C0)
   Panel_SetTransparency(true)

   -- -----------------------------------------------------------------------------
   -- PictureBox Caja01.
   -- -----------------------------------------------------------------------------
   PictureBox_CreateNew()
      PictureBox_SetName("Caja01")
      PictureBox_SetBackStyle("UseAppearance")
      PictureBox_SetAppearance("Default", "Box")
      PictureBox_SetBackColor(0x000000FF)
      PictureBox_SetPicture("bicho")
      PictureBox_SetRect(50, 50, 50, 50)
      PictureBox_SetMousePointer()
      PictureBox_SetTransparency(true)

      PictureBox_SetMouseButtonDown()
      PictureBox_SetMouseButtonUp()
      PictureBox_SetDoubleClick()
   added = Panel_AddControl()

   if not added then
      io.write("No se pudo agregar Caja01...\n")
   end

   -- -----------------------------------------------------------------------------
   -- PictureBox Caja02.
   -- -----------------------------------------------------------------------------
   PictureBox_CreateNew()
      PictureBox_SetName("Caja02")
      PictureBox_SetBackStyle("UseAppearance")
      PictureBox_SetAppearance("Default", "Box")
      PictureBox_SetBackColor(0x000000FF)
      PictureBox_SetPicture("bicho")
      PictureBox_SetRect(250, 50, 68, 100)
      PictureBox_SetMousePointer("cursor2")

      PictureBox_SetMouseButtonDown()
      PictureBox_SetMouseButtonUp()
      PictureBox_SetDoubleClick()
   added = Panel_AddControl()

   if not added then
      io.write("No se pudo agregar Caja02...\n")
   end

   -- -----------------------------------------------------------------------------
   -- LabelBox Caja03.
   -- -----------------------------------------------------------------------------
   LabelBox_CreateNew()
      LabelBox_SetName("Caja03")
      LabelBox_SetBackStyle("UseAppearance")
      LabelBox_SetAppearance("Default", "Box")
      LabelBox_SetBackColor(0x00CCFFFF)

      LabelBox_SetFont("InputFont")
      LabelBox_SetRect(10, 450, 400, 130)
      
      LabelBox_SetPicture("bicho")
      LabelBox_SetMousePointer("cursor2")

      LabelBox_SetText("ABCDEFGHIJKLMNOPQRSTUVWXYZ\n")
      LabelBox_AddText("abcdefghijklmnopqrstuvwxyz\n")
      LabelBox_AddText("0123456789\n")
      LabelBox_AddText(" !\"#$%&'()*+,-./:;<=>?@[\\]^_`{|}~\n")
      LabelBox_AddText("Hola mundo cruel maldito!")
      
      LabelBox_SetMouseButtonDown()
      LabelBox_SetMouseButtonUp()
   added = Panel_AddControl()

   if not added then
      io.write("No se pudo agregar Caja03...\n")
   end

   -- -----------------------------------------------------------------------------
   -- Button Caja04.
   -- -----------------------------------------------------------------------------
   Button_CreateNew()
      Button_SetName("Caja04")
      Button_SetBackStyle("UseAppearance")
      Button_SetAppearance("Default", "Button")
      Button_SetBackColor(0x00C0C0C0)

      Button_SetFont("InputFont")
      Button_SetText("Hola")

      Button_SetRect(50, 300, 100, 50)
      
      Button_SetPicture("boton01")
      Button_SetPictureOver("boton02")
      Button_SetPictureDown("boton03")
      
      Button_SetMouseButtonDown()
      Button_SetMouseButtonUp()
   added = Panel_AddControl()

   if not added then
      io.write("No se pudo agregar Caja04...\n")
   end

   -- -----------------------------------------------------------------------------
   -- VScrollBar VBar.
   -- -----------------------------------------------------------------------------
   VScrollBar_CreateNew()
      VScrollBar_SetName("VBar")
      VScrollBar_SetBackStyle("UseAppearance")
      VScrollBar_SetAppearance("Default", "VScroll", "Button")
      VScrollBar_SetBackColor(0x00C0C0C0)

      VScrollBar_SetRect(300, 200, 20, 200)

      VScrollBar_SetMin(0)
      VScrollBar_SetMax(40)
      VScrollBar_SetValue(0)
      VScrollBar_SetSmallChange(1)
      VScrollBar_SetLargeChange(10)
   added = Panel_AddControl()

   if not added then
      io.write("No se pudo agregar VBar...\n")
   end

   -- -----------------------------------------------------------------------------
   -- HScrollBar HBar.
   -- -----------------------------------------------------------------------------
   HScrollBar_CreateNew()
      HScrollBar_SetName("HBar")
      HScrollBar_SetBackStyle("UseAppearance")
      HScrollBar_SetAppearance("Default", "HScroll", "Button")
      HScrollBar_SetBackColor(0x00C0C0C0)

      HScrollBar_SetRect(50, 400, 200, 20)

      HScrollBar_SetMin(0)
      HScrollBar_SetMax(74)
      HScrollBar_SetValue(0)
      HScrollBar_SetSmallChange(1)
      HScrollBar_SetLargeChange(10)
   added = Panel_AddControl()

   if not added then
      io.write("No se pudo agregar VBar...\n")
   end

   -- -----------------------------------------------------------------------------
   -- TextBox Texto.
   -- -----------------------------------------------------------------------------
   TextBox_CreateNew()
      TextBox_SetName("Texto")
      TextBox_SetBackStyle("UseAppearance")
      TextBox_SetAppearance("Default", "Box", "VScroll", "HScroll", "Button")
      TextBox_SetBackColor(0x00FFFFFF, 0x00C0C0C0)
      TextBox_SetScrollBars("BothScrollBars")
      TextBox_SetMultiLine(true)
      TextBox_SetLocked(false)

      TextBox_SetFont("InputFont")
      TextBox_SetRect(400, 10, 390, 130)
      
      TextBox_SetText("Hola mundo cruel maldito jarl jarl jarl jarl jarl")
      TextBox_AddText("\n\n\n\nJe je je jej\n\n\n\n")
      TextBox_AddText("aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa!")
   added = Panel_AddControl()

   if not added then
      io.write("No se pudo agregar Texto...\n")
   end

   -- -----------------------------------------------------------------------------
   -- CheckButton Check.
   -- -----------------------------------------------------------------------------
   CheckButton_CreateNew()
      CheckButton_SetName("Check")
      CheckButton_SetBackStyle("UseAppearance")
      CheckButton_SetAppearance("Default", "Check")
      CheckButton_SetBackColor(0x00C0C0C0)
      
      CheckButton_SetFont("InputFont")
      CheckButton_SetText("Esto es un CheckButton")
      CheckButton_SetRect(400, 300, 390, 30)
   added = Panel_AddControl()

   if not added then
      io.write("No se pudo agregar Check...\n")
   end
added = Application_AddControl()

if not added then
   io.write("No se pudo agregar Panel01...\n")
end

-- --------------------------------------------------------------------------------
-- ControlListBox CLista.
-- --------------------------------------------------------------------------------
if SelectControl("CLista") then
   -- -----------------------------------------------------------------------------
   -- PictureBox Caja101.
   -- -----------------------------------------------------------------------------
   PictureBox_CreateNew()
      SelectControl("Panel01", "Caja01")
      SetControlToCopy()
      PictureBox_CopyFrom()

	   PictureBox_SetBackStyle("UsePicture")
	   PictureBox_SetTransparency(false)
   added = ControlListBox_AddControl()

   if not added then
      io.write("No se pudo agregar Caja101...\n")
   end

   -- -----------------------------------------------------------------------------
   -- PictureBox Caja102.
   -- -----------------------------------------------------------------------------
   ControlListBox_GetControl("Caja01_Clone")
   SetControlToCopy()

   for i = 1, 20, 1 do
      PictureBox_CreateNew()
         PictureBox_CopyFrom()
      added = ControlListBox_AddControl()

      if not added then
         io.write("No se pudo agregar Caja102...\n")
      end
   end

   UnselectControl()
end

-- --------------------------------------------------------------------------------
-- Dialog Dialogo.
-- --------------------------------------------------------------------------------
Dialog_CreateNew()
   Dialog_SetName("Dialogo")
   Dialog_SetBackStyle("UseAppearance")
   Dialog_SetAppearance("Default", "Dialog", "Button")
   Dialog_SetTitleColor(0x00000055)
   Dialog_SetBackColor(0x00C0C0C0)
   
   Dialog_SetFont("InputFont")
   Dialog_SetText("Mi cuadro de dialogo")
   Dialog_SetRect(150, 100, 300, 400)
added = Application_AddDialog()

if not added then
   io.write("No se pudo agregar Panel01...\n")
end

-- --------------------------------------------------------------------------------
-- Dialog Dialogo_Clone.
-- --------------------------------------------------------------------------------
SelectControlFromDialog("Dialogo")
SetControlToCopy()

Dialog_CreateNew()
   Dialog_CopyFrom()
   Dialog_SetX(350)
   Dialog_SetText("Mi cuadro de dialogo 2")
added = Application_AddDialog()

if not added then
   io.write("No se pudo agregar Panel01...\n")
end

-- --------------------------------------------------------------------------------
-- Dialog Dialogo.
-- --------------------------------------------------------------------------------
if SelectControlFromDialog("Dialogo") then
   -- -----------------------------------------------------------------------------
   -- ComboBox Combo3.
   -- -----------------------------------------------------------------------------
   ComboBox_CreateNew()
      ComboBox_SetName("ComboDialog")
      ComboBox_SetBackStyle("UseAppearance")
      ComboBox_SetAppearance("Default", "Box", "VScroll", "Button")
      ComboBox_SetBackColor(0x00FFFFFF, 0x00C0C0C0)
      ComboBox_SetSelBackColor(0x00FFFFFF)
   
      ComboBox_SetFont("InputFont")
      ComboBox_SetRect(10, 350, 200, 30)
      ComboBox_SetListHeight(200)

      ComboBox_AddListItem("Facil")
      ComboBox_AddListItem("Normal")
      ComboBox_AddListItem("Dificil")
   added = Dialog_AddControlRel()

   if not added then
      io.write("No se pudo agregar Combo3...\n")
   end

   -- -----------------------------------------------------------------------------
   -- Button Caja05.
   -- -----------------------------------------------------------------------------
   Button_CreateNew()
      Button_SetName("Caja05")
      Button_SetBackStyle("UseAppearance")
      Button_SetAppearance("Default", "Button")
      Button_SetBackColor(0x00C0C0C0)

      Button_SetFont("InputFont")
      Button_SetText("Adios")

      Button_SetRect(50, 200, 100, 50)
      
      Button_SetPicture("boton01")
      Button_SetPictureOver("boton02")
      Button_SetPictureDown("boton03")
      
      Button_SetMouseButtonDown()
      Button_SetMouseButtonUp()
   added = Dialog_AddControlRel()

   if not added then
      io.write("No se pudo agregar Caja05...\n")
   end
end

-- --------------------------------------------------------------------------------
-- Dialog Dialogo_Clone.
-- --------------------------------------------------------------------------------
if SelectControlFromDialog("Dialogo_Clone") then
   -- -----------------------------------------------------------------------------
   -- ComboBox Combo4.
   -- -----------------------------------------------------------------------------
   SelectControlFromDialog("Dialogo", "ComboDialog")
   SetControlToCopy()

   ComboBox_CreateNew()
      ComboBox_CopyFrom()
      ComboBox_SetRect(10, 350, 200, 30)
   added = Dialog_AddControlRel()

   if not added then
      io.write("No se pudo agregar Combo4...\n")
   end

   -- -----------------------------------------------------------------------------
   -- Button Caja06.
   -- -----------------------------------------------------------------------------
   SelectControlFromDialog("Dialogo", "Caja05")
   SetControlToCopy()

   Button_CreateNew()
      Button_CopyFrom()
      Button_SetRect(50, 200, 100, 50)
   added = Dialog_AddControlRel()

   if not added then
      io.write("No se pudo agregar Caja06...\n")
   end
end

-- ********************************************************************************
-- Fin loadtest.lua
-- ********************************************************************************